aboutsummaryrefslogtreecommitdiffstats
path: root/tests/verilog/run-test.sh
diff options
context:
space:
mode:
authorEddie Hung <eddie@fpgeh.com>2020-05-11 10:30:20 -0700
committerEddie Hung <eddie@fpgeh.com>2020-05-11 10:31:02 -0700
commitb11cf67a8170ee830beedadc7156c4e83e4f1134 (patch)
tree77992ff8a98d1d320519ade7f5106053283976a4 /tests/verilog/run-test.sh
parentaafaeb66dfd839b8223059884d2741dadc9e2d92 (diff)
downloadyosys-b11cf67a8170ee830beedadc7156c4e83e4f1134.tar.gz
yosys-b11cf67a8170ee830beedadc7156c4e83e4f1134.tar.bz2
yosys-b11cf67a8170ee830beedadc7156c4e83e4f1134.zip
Setup tests/verilog properly
Diffstat (limited to 'tests/verilog/run-test.sh')
-rwxr-xr-xtests/verilog/run-test.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/verilog/run-test.sh b/tests/verilog/run-test.sh
new file mode 100755
index 000000000..ea56b70f0
--- /dev/null
+++ b/tests/verilog/run-test.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+set -e
+{
+echo "all::"
+for x in *.ys; do
+ echo "all:: run-$x"
+ echo "run-$x:"
+ echo " @echo 'Running $x..'"
+ echo " @../../yosys -ql ${x%.ys}.log $x"
+done
+for s in *.sh; do
+ if [ "$s" != "run-test.sh" ]; then
+ echo "all:: run-$s"
+ echo "run-$s:"
+ echo " @echo 'Running $s..'"
+ echo " @bash $s"
+ fi
+done
+} > run-test.mk
+exec ${MAKE:-make} -f run-test.mk